Subject: bug#52480: [SOLVED] Re: bug#52480: 28.0.60; Emacs Zip-Archive open inside image file does not display, just empty buffer

From: "Christopher M. Miles" <[email-masked]>
Date: Mon, 20 Dec 2021 13:20:02 +0800

Eli Zaretskii <[email-masked]> writes:

>> Is there a method to solve this problem? How to know the filename coding? And how to let Emacs auto
>> decide which coding for filename?
>
> I think utf-8 is the right encoding of the file names, but the unzip
> program and/or its interaction with Emacs doesn't work well.  Does
> your unzip program support UTF-8 encoded file names?  What happens if
> you extract the files from the archive using that unzip program?

I Google searched "macos "unzip" does not support utf-8 encoding". This link
https://itips.krsw.biz/en/mac-error22-invalid-parameter/ has a solution suggestion to use
decomposing software like "The Unarchiver" etc. I tested by decompress archive file, then compress
the extracted directory again. Then the problem is gone. But it's not a prefect solution.

I'm trying to setting the option `archive-zip-extract' to use "7-zip" program.

Thanks very much for helping. 😄

-- 
[ stardiviner ]
       I try to make every word tell the meaning that I want to express.

       Blog: https://stardiviner.github.io/
       IRC(freenode): stardiviner, Matrix: stardiviner
       GPG: F09F650D7D674819892591401B5DF1C95AE89AC3